import 'package:flutter/widgets.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:pharmacy_mobile/blocs/caches/distributorlist/distributorlist_cache_bloc.dart';
import 'package:pharmacy_mobile/blocs/caches/distributorlist/distributorlist_cache_event.dart';

Future<bool> cacheSetDistributorList(BuildContext context, List value) async {
  try {
    final distributorListCache = context.read<DistributorListBloc>();
    distributorListCache.add(DistributorListCacheSet(value));
    return true;
  } catch (e) {
    return false;
  }
}
